Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jta.xa
Class XidImple

    java.lang.Object
      com.arjuna.ats.jta.xa.XidImple

All Implemented Interfaces:
  java.io.Serializable, javax.transaction.xa.Xid

public class XidImple
extends java.lang.Object
implements javax.transaction.xa.Xid, java.io.Serializable

Implementation of javax.transaction.xa.Xid.

Since:
  JTS 1.2.4.
Version:
  $Id: XidImple.html,v 1.1 2008/01/04 06:52:41 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Constructor Summary
`XidImple()`
`XidImple(AtomicAction c)`
`XidImple(AtomicAction c, boolean branch)`
`XidImple(Uid id)`
`XidImple(Uid id, boolean branch)`
`XidImple(Uid id, Uid branch, int formatId)`
`XidImple(javax.transaction.xa.Xid xid)`
`XidImple(XID x)`

Method Summary
`void` | `copy(javax.transaction.xa.Xid xid)`
`boolean` | `equals(java.lang.Object obj)` Is the specified object equal to this one?
`boolean` | `equals(javax.transaction.xa.Xid xid)`
`byte[]` | `getBranchQualifier()`
`int` | `getFormatId()`
`byte[]` | `getGlobalTransactionId()` These operations critically rely on the fact that we unpack the array in the order we packed it!
`XID` | `getXID()`
`int` | `hashCode()` Return the hash code for this Xid.
`boolean` | `isSameTransaction(javax.transaction.xa.Xid xid)`
`static void` | `pack(OutputObjectState os, javax.transaction.xa.Xid xid)`
`boolean` | `packInto(OutputObjectState os)`
`java.lang.String` | `toString()`
`static javax.transaction.xa.Xid` | `unpack(InputObjectState os)`
`boolean` | `unpackFrom(InputObjectState os)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XidImple

    public XidImple()

### XidImple

    public XidImple(javax.transaction.xa.Xid xid)

### XidImple

    public XidImple(AtomicAction c)

### XidImple

    public XidImple(AtomicAction c,
                    boolean branch)

### XidImple

    public XidImple(Uid id)

### XidImple

    public XidImple(Uid id,
                    boolean branch)

### XidImple

    public XidImple(Uid id,
                    Uid branch,
                    int formatId)

### XidImple

    public XidImple(XID x)

Method Detail

### isSameTransaction

    public final boolean isSameTransaction(javax.transaction.xa.Xid xid)

### getFormatId

    public int getFormatId()

  Specified by:
    `getFormatId` in interface `javax.transaction.xa.Xid`

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  These operations critically rely on the fact that we unpack the array in the order we packed it!

  Specified by:
    `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

### getBranchQualifier

    public byte[] getBranchQualifier()

  Specified by:
    `getBranchQualifier` in interface `javax.transaction.xa.Xid`

### getXID

    public final XID getXID()

### copy

    public final void copy(javax.transaction.xa.Xid xid)

### equals

    public boolean equals(javax.transaction.xa.Xid xid)

### packInto

    public final boolean packInto(OutputObjectState os)

### unpackFrom

    public final boolean unpackFrom(InputObjectState os)

### pack

    public static final void pack(OutputObjectState os,
                                  javax.transaction.xa.Xid xid)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### unpack

    public static final javax.transaction.xa.Xid unpack(InputObjectState os)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object obj)

  Is the specified object equal to this one?

  Parameters:
    `obj` - The object to test.
  Returns:
    true if they are equal, false otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this Xid.

  Returns:
    the hash code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD